Skip to main content
POST
/
v2
/
sms-campaign-registration
/
upload
Upload Proof Document Endpoint
curl --request POST \
  --url https://api.example.com/v2/sms-campaign-registration/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>"
}
'
{
  "presigned_url": {
    "url": "<string>",
    "fields": {}
  },
  "attachment_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for uploading a proof document.

filename
string
required

Name of the file being uploaded

mime_type
required

MIME type of the file

Available options:
application/json,
application/pdf,
application/msword,
application/vnd.openxmlformats-officedocument.wordprocessingml.document,
application/vnd.ms-excel,
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
application/vnd.ms-powerpoint,
application/vnd.openxmlformats-officedocument.presentationml.presentation,
text/csv,
application/csv,
text/plain,
text/html,
application/xml,
message/rfc822,
application/vnd.ms-outlook,
application/rtf,
text/markdown,
text/md

Response

Successful Response

Response with presigned URL for uploading a proof document.

presigned_url
object
required

Presigned URL for S3 upload.

attachment_id
string
required

Attachment ID to pass when creating the registration